This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983057 - Provide rpm macros for handling Fortran modules
Provide rpm macros for handling Fortran modules
Status: NEW
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: Reopened
: 513985 (view as bug list)
Depends On: 1192617
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 07:56 EDT by Susi Lehtola
Modified: 2017-07-25 16:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:15:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2013-07-10 07:56:48 EDT
As you are probably aware, the Fedora packaging guidelines state that Fortran modules must be installed in %{_fmoddir}, which currently evaluates to %{_libdir}/gfortran/modules.

However, the modules are inherently dependent on the version of gfortran used to generate them, and we are currently missing this dependency information. Also, the placement of the modules is not in touch with the gfortran version.

I have been previously alerted by the gcc maintainers that %{_libdir}/gfortran/modules is the wrong place to put the modules, they should go to the finclude directory instead.

For this reason I am hereby requesting that you add rpm macros to the gfortran package, which change %{_fmoddir} to the correct directory used internally by gfortran itself. (At the same time the definition needs to be removed from /usr/lib/rpm/redhat/macros provided by the redhat-rpm-config package.)

Also, it would be nice to solve the dependency question. As long as the dependencies are not automatically picked up by RPM, I ask that you add another RPM macro which gives the module compatibility version of gfortran, e.g.

%_gfortran_module_ver 4.8.1%{?_isa}

that can be Required by packages shipping fortran modules.
Comment 1 Susi Lehtola 2013-08-01 03:57:46 EDT
*** Bug 513985 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2013-09-16 10:28:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Susi Lehtola 2015-02-15 14:42:14 EST
See bug #1192617 for rpm part of problem.
Comment 4 Jaroslav Reznik 2015-03-03 09:58:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Fedora End Of Life 2016-07-19 06:15:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Susi Lehtola 2016-07-19 14:04:43 EDT
Issue still exists on rawhide.
Comment 7 Jan Kurik 2016-07-26 00:21:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.